<div fxLayout="column">

  <app-header title="Emails" icon="mail"></app-header>

  <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between" style="margin-top:10px;padding-top: 8px;padding-bottom: 0" class="header">
    <p fxLayout="column" fxLayoutAlign="center" style="margin-left: 25px;">Απεσταλμένα emails</p>
  </div>

  <app-extreme-table id="table" id="table" [columns]="columns" [data]="requests" noDataText="Δεν υπάρχουν αιτήσεις εξαργύρωσης" (contextMenuEvent)="contextMenuEvent($event)"></app-extreme-table>

  <dx-context-menu
    [dataSource]="contextMenuItems"
    (onItemClick)="itemClick($event)"
    [width]="250"
    style="padding: 15px; border-radius: 5px;"
    target="#table">
    <div *dxTemplate="let e of 'item'">
      <div>
        <span class="dx-icon-{{e.icon}}"></span>
        <span *ngIf="e.items" class="dx-icon-spinright"></span> {{ e.text }}
      </div>
    </div>
  </dx-context-menu>
</div>
